net.sf.jasperreports.engine.export

## Class JRCsvMetadataExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRCsvExporterParameter
    - - net.sf.jasperreports.engine.export.JRCsvMetadataExporterParameter

- Deprecated.
  Replaced by `CsvMetadataExporterConfiguration`.

      public class JRCsvMetadataExporterParameter
      extends JRCsvExporterParameter

  Version:
    $Id: JRCsvMetadataExporterParameter.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRCsvMetadataExporterParameter` | `COLUMN_NAMES` Deprecated. Replaced by `CsvMetadataReportConfiguration.getColumnNames()`.
    `static java.lang.String` | `PROPERTY_COLUMN_NAME` Deprecated. Replaced by `JRCsvMetadataExporter.PROPERTY_COLUMN_NAME`.
    `static java.lang.String` | `PROPERTY_COLUMN_NAMES_PREFIX` Deprecated. Replaced by `CsvMetadataReportConfiguration.PROPERTY_COLUMN_NAMES_PREFIX`.
    `static java.lang.String` | `PROPERTY_DATA` Deprecated. Replaced by `JRCsvMetadataExporter.PROPERTY_DATA`.
    `static java.lang.String` | `PROPERTY_REPEAT_VALUE` Deprecated. Replaced by `JRCsvMetadataExporter.PROPERTY_REPEAT_VALUE`.
    `static java.lang.String` | `PROPERTY_WRITE_HEADER` Deprecated. Replaced by `CsvMetadataReportConfiguration.PROPERTY_WRITE_HEADER`.
    `static JRCsvMetadataExporterParameter` | `WRITE_HEADER` Deprecated. Replaced by `CsvMetadataReportConfiguration.isWriteHeader()`.

    - ### Fields inherited from class net.sf.jasperreports.engine.export.JRCsvExporterParameter

      `FIELD_DELIMITER, PROPERTY_FIELD_DELIMITER, PROPERTY_RECORD_DELIMITER, RECORD_DELIMITER`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRCsvMetadataExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN_NAMES

          public static final JRCsvMetadataExporterParameter COLUMN_NAMES

      Deprecated. Replaced by `CsvMetadataReportConfiguration.getColumnNames()`.

    - #### PROPERTY_COLUMN_NAMES_PREFIX

          public static final java.lang.String PROPERTY_COLUMN_NAMES_PREFIX

      Deprecated. Replaced by `CsvMetadataReportConfiguration.PROPERTY_COLUMN_NAMES_PREFIX`.
      See Also:
        Constant Field Values

    - #### WRITE_HEADER

          public static final JRCsvMetadataExporterParameter WRITE_HEADER

      Deprecated. Replaced by `CsvMetadataReportConfiguration.isWriteHeader()`.

    - #### PROPERTY_WRITE_HEADER

          public static final java.lang.String PROPERTY_WRITE_HEADER

      Deprecated. Replaced by `CsvMetadataReportConfiguration.PROPERTY_WRITE_HEADER`.
      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_NAME

          public static final java.lang.String PROPERTY_COLUMN_NAME

      Deprecated. Replaced by `JRCsvMetadataExporter.PROPERTY_COLUMN_NAME`.
      See Also:
        Constant Field Values

    - #### PROPERTY_REPEAT_VALUE

          public static final java.lang.String PROPERTY_REPEAT_VALUE

      Deprecated. Replaced by `JRCsvMetadataExporter.PROPERTY_REPEAT_VALUE`.
      See Also:
        Constant Field Values

    - #### PROPERTY_DATA

          public static final java.lang.String PROPERTY_DATA

      Deprecated. Replaced by `JRCsvMetadataExporter.PROPERTY_DATA`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRCsvMetadataExporterParameter

          protected JRCsvMetadataExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com